//********************************************************************************************
//
//	GOBBOS
//	======
//	- Gobbo					(lockt den Spieler in eine Höhle und mit anderen CaveGobbos)
//	- Demo2_TrollGobbo		(läßt sich vom Troll über einen	Abgrund	werfen)
//	- Demo2_KamikazeGobbo	(fällt von oben	auf	den	Spieler	herab)
//
//********************************************************************************************

INSTANCE Gobbo(Mst_Default)
{
	//-------- primary data	--------
	
	name						=	"Goblin";
	guild						=		GIL_GOBBO;
	slot						=		"Gobbo";
	level					=		1;	
	
	
	//---------	abilities --------
	
	attribute[ATR_STRENGTH]		=		1;
	attribute[ATR_DEXTERITY]	=		1;
	attribute[ATR_MANA_MAX]		=		1;
	attribute[ATR_MANA]			=		1;
	attribute[ATR_MADNESS_MAX]	=		3;
	attribute[ATR_MADNESS]		=		3;
	attribute[ATR_HITPOINTS_MAX]=		10;
	attribute[ATR_HITPOINTS]	=		10;

	talents						=		TAL_SNEAK;

	//-------- visuals --------
	
	Mdl_SetVisual		(self,"gobbo.mds");
	Mdl_SetVisualBody	(self,"Gob_Body_V0.asc","Gob_Head_V0.mms","",DEFAULT,DEFAULT,DEFAULT);

	//-------- ai --------

	assessEnemy			=	ZS_GobboMonsterAssessEnemy;
	assessFriendsDamage =	ZS_GobboMonsterAssessFriendsDamage;
	observeIntruder		=	ZS_GobboMonsterObserveIntruder;
	assessItem			=	ZS_GobboMonsterAssessItem;
	assessThreat 		=	ZS_GobboMonsterAssessThreat;
	assessDamage		=	ZS_GobboMonsterReactToDamage;		
	catchThief			=   ZS_GobboMonsterCatchThief;		
	assessTheft			=   ZS_GobboMonsterAssessTheft;			
	assessCall			=   ZS_GobboMonsterAssessCall;
	assessTalk			=   ZS_GobboMonsterAssessTalk;
	assessTalkEnd		=   ZS_GobboMonsterAssessTalkEnd;
	AssessremoveWeapon	=   ZS_GobboMonsterRemoveWeapon; 
	moveMob				=  	ZS_GobboMonsterMoveMob;
	                        		
	                        
	                     	
	                        
	                        
	                        
	                        
	
	

		

	
	
	
	fight_tactic				=		FAI_GOBBO;

	Npc_SetToFightMode (self,Club);
	Npc_SetAttitude(self, ATT_HOSTILE);

	//-------- Senses ------
	senses						=		SENSE_HEAR | SENSE_SEE;
	senses						=		700;
};

func void ZS_GobboMonsterAssessEnemy()
{
};       
func void ZS_GobboMonsterAssessFriendsDamage ()
{
};
func void ZS_GobboMonsterObserveIntruder ()
{
};   
func void ZS_GobboMonsterAssessItem ()
{
};	

func void ZS_GobboMonsterAssessThreat ()
{
};

func void ZS_GobboMonsterReactToDamage	()
{
};
   
func void ZS_GobboMonsterCatchThief ()
{
};


func void ZS_GobboMonsterAssessTheft ()
{
};
		
func void ZS_GobboMonsterAssessCall ()
{
};
func void ZS_GobboMonsterAssessTalk ()
{
};

func void ZS_GobboMonsterAssessTalkEnd ()
{
};

func void ZS_GobboMonsterRemoveWeapon ()
{
};

func void ZS_GobboMonsterMoveMob ()
{
};
		                       